Рекомендация Debian по безопасности

DSA-772-1 apt-cacher -- отсутствие очистки ввода

Дата сообщения:
03.08.2005
Затронутые пакеты:
apt-cacher
Уязвим:
Да
Ссылки на базы данных по безопасности:
В каталоге Mitre CVE: CVE-2005-1854.
Более подробная информация:

Эдуард Блох обнаружил ошибку в apt-cacher, системе кэширования двоичных пакетов и пакетов с исходным кодом для Debian, которая позволяет удалённым злоумышленникам выполнять произвольные команды на кэширующем узле от лица пользователя www-data.

В предыдущем стабильном выпуске (woody) этот пакет отсутствует.

В стабильном выпуске (sarge) эта проблема была исправлена в версии 0.9.4sarge1.

В нестабильном выпуске (sid) эта проблема была исправлена в версии 0.9.10.

Рекомендуется обновить пакеты apt-cacher.

Исправлено в:

Debian GNU/Linux 3.1 (sarge)

Исходный код:
http://security.debian.org/pool/updates/main/a/apt-cacher/apt-cacher_0.9.4sarge1.dsc
http://security.debian.org/pool/updates/main/a/apt-cacher/apt-cacher_0.9.4sarge1.tar.gz
Независимые от архитектуры компоненты:
http://security.debian.org/pool/updates/main/a/apt-cacher/apt-cacher_0.9.4sarge1_all.deb

Контрольные суммы MD5 этих файлов доступны в исходном сообщении.